%global commit 1fc3e1cbb5d14ff60da8ab46549fc846e8f9f6b5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20200919

Summary:          MQTT client library for Qt
Name:             qmqtt
Version:          0.1
Release:          0.%{gitdate}.git%{shortcommit}%{?dist}.1sunshine
License:          BSD or EPL-1.0
URL:              https://github.com/emqx/qmqtt

Source0:          %{url}/archive/%{commit}.zip#/%{name}-%{commit}.zip

BuildRequires:    cmake >= 3.9
BuildRequires:    gcc-c++
# Qt 5.3 is minimum, 5.7 supports websockets
BuildRequires:    qt5-qtbase-devel >= 5.7
# websockets aren't pulled in for some reason, so omit the
# dependency for the time being:
# BuildRequires:    qt5-qtwebsockets-devel >= 5.7

%description
qmqtt is an MQTT client library for Qt5.

%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/

%changelog
* Sun Oct 04 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.1-0.20200919.git1fc3e1c.1sunshine
- update to new snapshot

* Mon Sep 14 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.1-0.20200714.git4ba2ed4.2sunshine
- fix BR typo

* Fri Sep 4 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.1-0.20200714.git4ba2ed4.1sunshine
- initial RPM
